Package com.collibra.dgc.core.api.dto.assignment

# Class RemoveScopeRequest

Object
RemoveScopeRequest

All Implemented Interfaces:
  `Serializable`

public class RemoveScopeRequest extends Object implements Serializable
The properties of the scope to be removed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RemoveScopeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoveScopeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RemoveScopeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getScopeId()`
  Required. The ID of the scope to be removed.
  `int`
  `hashCode()`
  `boolean`
  `isDeleteAssignments()`
  Indicates any assignments linked to the given scope should also be deleted.
  `void`
  `setDeleteAssignments(boolean deleteAssignments)`
  Indicates any assignments linked to the given scope should also be deleted.
  `void`
  `setScopeId(UUID scopeId)`
  Required. The ID of the scope to be removed.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoveScopeRequest

    public RemoveScopeRequest()

- ## Method Details

  - ### builder

    public static RemoveScopeRequest.Builder builder()

  - ### getScopeId

    public UUID getScopeId()
    Required. The ID of the scope to be removed.

  - ### isDeleteAssignments

    public boolean isDeleteAssignments()
    Indicates any assignments linked to the given scope should also be deleted.

  - ### setScopeId

    public void setScopeId(UUID scopeId)
    Required. The ID of the scope to be removed.

  - ### setDeleteAssignments

    public void setDeleteAssignments(boolean deleteAssignments)
    Indicates any assignments linked to the given scope should also be deleted.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`